Jump to content
GreenSock

Search In
  • More options...
Find results that contain...
Find results in...
AndresSp

yarn 403 Forbidden error

Go to solution Solved by ZachSaucier,

Recommended Posts

Someone help me with this error please

Yarn version:
1.22.10
 
Node version:
14.15.4
 
Platform:
darwin x64
 
Trace:
Error: http://npm.greensock.com/@gsap%2fshockingly/-/gsap-3.6.0.tgz: Request failed "403 Forbidden"
at ResponseError.ExtendableBuiltin (/usr/local/Cellar/yarn/1.22.10/libexec/lib/cli.js:696:66)
at new ResponseError (/usr/local/Cellar/yarn/1.22.10/libexec/lib/cli.js:802:124)
at Request.<anonymous> (/usr/local/Cellar/yarn/1.22.10/libexec/lib/cli.js:67058:16)
at Request.emit (events.js:315:20)
at Request.module.exports.Request.onRequestResponse (/usr/local/Cellar/yarn/1.22.10/libexec/lib/cli.js:141626:10)
at ClientRequest.emit (events.js:315:20)
at HTTPParser.parserOnIncomingClient (_http_client.js:641:27)
at HTTPParser.parserOnHeadersComplete (_http_common.js:126:17)
at TLSSocket.socketOnData (_http_client.js:509:22)
at TLSSocket.emit (events.js:315:20)
 
 

Screen Shot 2021-01-16 at 7.48.21 AM.png

  • Like 2
Link to comment
Share on other sites

Hey AndresSp and welcome. 

 

That error means that you're requesting GSAP from the correct registry but the authentication failed. Did you follow the Yarn instructions on your account dashboard exactly? 

  • Like 1
Link to comment
Share on other sites

Yes, I followed the instructions, I copied the .npmrc stuff and the command. I checked again and it's the same token

Link to comment
Share on other sites

Can you try with an empty project and otherwise empty .npmrc and .yarnrc (besides the instructions) and see if it works then? I can't reproduce the error so any other info you can give me to help me reproduce the error is appreciated.

  • Like 1
Link to comment
Share on other sites

well .. I am using nuxt.js
It's a fresh nuxt.js installation with tailwindCSS, follow my steps:
npx create-nuxt-app test-nuxt

  • Project name: test-nuxt
  • Javascript
  • Yarn
  • TailwindCSS
  • PWA and Content
  • Prettier
  • None
  • Universal (SSR/SSG)
  • Static
  • jsconfig.json
  • Github Actions
  • (Username)
  • Git

 

I update tailwindCSS with: yarn add --dev tailwindcss@npm:@tailwindcss/postcss7-compat postcss@^7 autoprefixer@^9

I include .npmrc with the instructions

yarn add gsap@npm:@gsap/shockingly  (ERROR)

Try with npm ... It works .... 

That's it ...

I gave up with yarn but sure as you know, I prefer to use only one package manager

 

 

Screen Shot 2021-01-16 at 3.10.48 PM.png

  • Like 1
Link to comment
Share on other sites

nvm .. I'm officially stucked without yarn 😀

ok, this is so frustrating..

Link to comment
Share on other sites

Ok, I downloaded the club libraries and install them manually, those work to test temporally

Link to comment
Share on other sites

Hello. 

I have the same problem. I use the clipboard button. but I always get request failed error

Trace: 
  Error: http://npm.greensock.com/@gsap%2fshockingly/-/gsap-3.6.0.tgz: Request failed "403 Forbidden"
      at ResponseError.ExtendableBuiltin (/usr/local/Cellar/yarn/1.22.5/libexec/lib/cli.js:696:66)
      at new ResponseError (/usr/local/Cellar/yarn/1.22.5/libexec/lib/cli.js:802:124)
      at Request.<anonymous> (/usr/local/Cellar/yarn/1.22.5/libexec/lib/cli.js:67058:16)
      at Request.emit (events.js:314:20)
      at Request.module.exports.Request.onRequestResponse (/usr/local/Cellar/yarn/1.22.5/libexec/lib/cli.js:141626:10)
      at ClientRequest.emit (events.js:314:20)
      at HTTPParser.parserOnIncomingClient (_http_client.js:602:27)
      at HTTPParser.parserOnHeadersComplete (_http_common.js:122:17)
      at TLSSocket.socketOnData (_http_client.js:475:22)
      at TLSSocket.emit (events.js:314:20)

 

  • Like 1
Link to comment
Share on other sites

same problem for me. Before it worked fine. 

- i've tried empty'ing ~/.npmrc then reload and add back my token

- I've added a new .npmrc in my project with the token

 

neither worked.

  • Like 1
Link to comment
Share on other sites

@AndresSp Hmm. I followed your instructions to create the environment and then followed the steps on my account dashboard and it loaded GSAP from the private registry without issue... But I had a Business Green membership.

 

I now downgraded my account in our private registry to a Shockingly Green membership and now I get the 403 error when I request the Shockingly Green membership. There's definitely something wrong going on with our private registry. I will continue investigating and get back to you. 

 

Side question: Why do you all prefer Yarn? NPM seems much better maintained and has more features so I'm always curious why people use Yarn.

Link to comment
Share on other sites

@ZachSaucier In my case, I had problems with npm on NuxtJS because npm doesn't resolve the libraries correctly. In fact, I prefer npm always.

As you can see below:

 

Screen Shot 2021-01-18 at 3.28.15 PM.png

  • Thanks 1
Link to comment
Share on other sites

for me its:

 

yarn upgrade-interactive --latest

 

that's it ;)

 

 

honestly I don't do much with these tools apart from just installing and upgrading. 

@ZachSaucier which makes me curious! what other uses do you use npm for and what other features are important for you?

Link to comment
Share on other sites

10 minutes ago, flowen said:

@ZachSaucier which makes me curious! what other uses do you use npm for and what other features are important for you?

I haven't really used either much but I have had to help more people with Yarn-related issues in these forums so that's a big negative :) Looking at Yarn's GitHub repo and seeing almost 2,000 open issues is also a big red flag to me. Yarn also seems split over version 1 and 2. Plus the documentation for both is lacking, at least for less-common use cases.

Link to comment
Share on other sites

18 minutes ago, ZachSaucier said:

I haven't really used either much but I have had to help more people with Yarn-related issues in these forums so that's a big negative :) Looking at Yarn's GitHub repo and seeing almost 2,000 open issues is also a big red flag to me. Yarn also seems split over version 1 and 2. Plus the documentation for both is lacking, at least for less-common use cases.

ah! Interesting too know. Coincidentally, I also use Nuxt 2 on this project so another reason for me to keep using Yarn. 

 

I've personally never had problems with either npm or yarn, but perhaps I'm not enough of a power-user :)

I suppose in the meantime the best way to use gsap3+bonus tools is to install locally, right?

Link to comment
Share on other sites

11 minutes ago, flowen said:

I suppose in the meantime the best way to use gsap3+bonus tools is to install locally, right?

Yes, via the .tgz in your user downloads. Sorry for the trouble.

Link to comment
Share on other sites

14 hours ago, ZachSaucier said:

Yes, via the .tgz in your user downloads. Sorry for the trouble.

no worries at all. thanks for creating such a great product

Link to comment
Share on other sites

  • Solution

We believe that this issue should be fixed now. Can you all please try uninstalling GSAP then installing it via the private npm registry as specified in the installation instructions?

Link to comment
Share on other sites

It doesn't work. 

either installing the free version doesn't work any longer.

is there something wrong with the npm registry.

I'm a bit in a hurry, because we have a going live on monday.

can it be something with our continous integration either ?

 

please help 

Link to comment
Share on other sites

What error are you getting if you follow the installation instructions?

  • Thanks 1
Link to comment
Share on other sites

If you are in a hurry, you can try to use the .tgz directly

  • Like 1
Link to comment
Share on other sites

1 hour ago, ZachSaucier said:

We believe that this issue should be fixed now. Can you all please try uninstalling GSAP then installing it via the private npm registry as specified in the installation instructions?

uninstalled the .tgz, installed using the instructions, works perfectly!

  • Like 2
  • Thanks 1
Link to comment
Share on other sites

Ok, it works, and thanks for all! 😀

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
  • Recently Browsing   0 members

    • No registered users viewing this page.
×